post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows you to initiate an AD scan for the Active Directory configured organizations in Saner Server. It requires name of the organization.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| organization | Name of the organization for which AD scan will be initiated | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.AD.scan(
organization="Demo Org"
)
print(response)
client.close()Requires Python 3.9 or later.